Bug 16398 - Cannot connect to wifi network if bluetooth is enabled with Intel iwlwifi driver
Summary: Cannot connect to wifi network if bluetooth is enabled with Intel iwlwifi driver
Status: RESOLVED OLD
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: x86_64 Linux
Priority: Normal major
Target Milestone: ---
Assignee: Kernel and Drivers maintainers
QA Contact:
URL: https://git.kernel.org/cgit/linux/ker...
Whiteboard:
Keywords:
Depends on: 16655
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-17 09:21 CEST by Stuart Morgan
Modified: 2018-04-28 19:15 CEST (History)
2 users (show)

See Also:
Source RPM: kernel-3.19.8-3.mga5.src.rpm
CVE:
Status comment:


Attachments

Description Stuart Morgan 2015-07-17 09:21:26 CEST
Description of problem:

Cannot connect to 2.4Ghz wifi network if bluetooth is enabled with Intel iwlwifi driver. This is a known bug which has been fixed in upstream kernels.

Version-Release number of selected component (if applicable):
kernel-desktop-3.19.8-3.mga5

How reproducible:

On a machine with an intel wifi/bluetooth combo device, enabled bluetooth. The wifi either won't connect via 2.4Ghz or will connect and later drop and refuse to reconnect.


Patch fixing the issue is available here:
https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=afcee962b09842d0f4191beb4a2d08251b4c7705

Further description and explanation of the issue is available here:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1442411

Reproducible: 

Steps to Reproduce:
Sander Lepik 2015-07-17 09:24:31 CEST

CC: (none) => mageia
Assignee: bugsquad => tmb

Comment 1 Thomas Backlund 2015-09-18 15:19:32 CEST
does 4.1.7 in testing work better ?

Depends on: (none) => 16655

Comment 2 Marja Van Waes 2016-08-26 11:42:46 CEST
Mass-reassigning all bugs with "kernel" in the Source RPM field that are assigned to tmb, to the kernel packagers group, because tmb is currently MIA.

Assignee: tmb => kernel

Comment 3 Marja Van Waes 2018-04-28 19:15:39 CEST
(In reply to Thomas Backlund from comment #1)
> does 4.1.7 in testing work better ?

2½ years later, no reply.

Besides, Mageia 5 has officially reached its End of Life on December 31st, 2017 https://blog.mageia.org/en/2017/11/07/mageia-5-eol-postponed/
It only continued to get important security updates since then, but non-security bugs have no chance of still getting fixed.

Closing as OLD.

Resolution: (none) => OLD
Status: NEW => RESOLVED
CC: (none) => marja11


Note You need to log in before you can comment on or make changes to this bug.